// $Id: awm_js.js,v 1.1.2 2011/04/22 19:17:43 askesson Exp $

/**
* @file likno_menus_js.js
* The JavaScript code necessary for the behavior of the admin page
*/



//toggle
(function ($) {
Drupal.behaviors.togg =  {
    attach: function (context, settings) {

  // BEGIN colors and styling...
  $("#edit-reset").hover(

    function() {
        
	$("#awm-reset-tooltip").show();
    },
    function() {
	$("#awm-reset-tooltip").hide();
    });

  $(".awm_showAll").css('color', '#009900');
  $(".awm_showExcept").css('color', '#990000');

  $("div[id^=edit-awm-items-from-menu-]").each(function() {
	$(this).css('padding-left', '50px');
        $(this).css('margin-bottom', '15px');
  });

$("div[class*=form-item-AWM-pages-name-]").each(function() {
      
	$(this).css('padding-left', '100px');
	$(this).css('padding-right', '600px');
//	$(this).css('position', 'relative');
//	$(this).css('top', '-30px');
  });
  $("div[class*=form-item-AWM-articles-name-]").each(function() {
	$(this).css('padding-left', '100px');
	$(this).css('padding-right', '600px');
  });
  $("div[class*=form-item-AWM-taxonomies-name-]").each(function() {
	$(this).css('padding-left', '100px');
	$(this).css('padding-right', '600px');
  });

  $("div[class*=form-item-AWM-taxonomies-newest-num-]").each(function() {
	$(this).css('float', 'left');
  });
  // END colors and styling...

  // BEGIN RESULTS IN "GENERATE STRUCTURE CODE"
  //hide the all of the element with class msg_body
  $(".awmToggleBody").hide();
  //toggle the componenet with class awmToggleBody   
  $(".awmToggleHead").click(function() {
      if ($(this).next(".awmToggleBody").css('display') == 'block') {
		$(".awmToggleBody").slideUp(600); 
      } else {
		$(".awmToggleBody").slideUp(600); 
		$(this).next(".awmToggleBody").slideToggle(600);
      }
  });
  //add css 
  $(".awmToggleHead").each(function() {
      $(this).css("color", "#027AC6");
      //$(this).css("text-decoration", "underline");
      $(this).css("cursor", "pointer");
  });
  // END RESULTS IN "GENERATE STRUCTURE CODE"


  // BEGIN SHOW HIDE OF MORE INFO PIC
  //onclick, show the div
  $("*[id^=awm_show_me]").each(function() {
	$(this).click(function() {
		$(this).next("*[id^=awm_show_this]").slideDown();
		return false;
	});
  });
  $("*[id^=awm_show_me_close]").each(function() {
	$(this).click(function() {
		$(this).parents("*[id^=awm_show_this]").slideUp();
		return false;
	});
  });
  // END SHOW HIDE OF MORE INFO PIC

  // BEGIN SHOW HIDE OF MORE INFO for admin/block (superfish)
  //onclick, show the div
  $("*[id^=sf_awm_show_me]").each(function() {
	$(this).click(function() {
		// IE? OPERA?	(SAFARI==CHROME??)
                if($.browser.mozilla)
                     $(this).parent().next("*[id^=sf_awm_show_this]").slideDown();
                    else
                $(this).next("*[id^=sf_awm_show_this]").slideDown();
		
		return false;
	});
  });
  $("*[id^=sf_awm_show_me_close]").each(function() {
	$(this).click(function() {
		$(this).parents("*[id^=sf_awm_show_this]").slideUp();
		return false;
	});
  });
  // END SHOW HIDE OF MORE INFO for admin/block (superfish)


  



  // BEGIN FORM ENABLING/DISABLING (existing or new menu)
  $(".awm_menu_structure_enabling").each(function() {
	$(this).change(function() {
		if ($(this).next().children('.awm_indicate_txt').hasClass('awm_indicate_txt_green') ) {
                    
			$(this).next().children('.awm_indicate_txt').removeClass('awm_indicate_txt_green').addClass('awm_indicate_txt_red').html('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This menu will NOT appear in your site');
		} else {
			$(this).next().children('.awm_indicate_txt').removeClass('awm_indicate_txt_red').addClass('awm_indicate_txt_green').html('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This menu will appear in your site');
		}
	});
  });

$("input[id^=edit-awm-new-menu-]").each(function(){

    var num = $(this).attr('id').replace("edit-awm-new-menu-","");
    if ( isNaN(parseInt(num))){
        return;}
        
   if ($(this).attr("checked")){
       $("input[id^=edit-awm-new-menu-toggle-"+num+"]").attr("checked",false);
     $("fieldset#edit-menu-structure"+num).hide();
     $("div#edit-awm-items-from-menu-"+num).show();
     $('span#awm-dots-'+num).html(":");
      $('span#awm-dots-toggle-'+num).html("...");
     
    }
    else{
        $("input[id^=edit-awm-new-menu-toggle-"+num+"]").attr("checked",true);
        $("div#edit-awm-items-from-menu-"+num).hide();
        $("fieldset#edit-menu-structure"+num).show();
        $('span#awm-dots-'+num).html("...");
         $('span#awm-dots-toggle-'+num).html(":");
    }

}
);

$("input[id^=edit-awm-new-menu-toggle-]").change(function()
  {
     
      var  id = $(this).attr('id');
    var num = id.replace("edit-awm-new-menu-toggle-","");
    
        if ($(this).attr("checked")){
      $("input[id^=edit-awm-new-menu-"+num+"]").attr("checked",false);
      $("fieldset#edit-menu-structure"+num).show();
      $("div#edit-awm-items-from-menu-"+num).hide();
      $('span#awm-dots-'+num).html("...");
         $('span#awm-dots-toggle-'+num).html(":");
        }
      else{
         $("input[id^=edit-awm-new-menu-"+num+"]").attr("checked",true);
         $("fieldset#edit-menu-structure"+num).hide();
         $("div#edit-awm-items-from-menu-"+num).show();
          $('span#awm-dots-'+num).html(":");
         $('span#awm-dots-toggle-'+num).html("...");
        }
  });






  $("input[id^=edit-awm-new-menu-]").change(function()
  {

    var  id = $(this).attr('id');
    var num = id.replace("edit-awm-new-menu-","");
    if ( isNaN(parseInt(num))){
        return;}
       
     if ($(this).attr("checked")){
       $("input[id^=edit-awm-new-menu-toggle-"+num+"]").attr("checked",false);
     $("fieldset#edit-menu-structure"+num).hide();
     $("div#edit-awm-items-from-menu-"+num).show();
     $('span#awm-dots-'+num).html(":");
      $('span#awm-dots-toggle-'+num).html("...");
    }
    else{
        $("input[id^=edit-awm-new-menu-toggle-"+num+"]").attr("checked",true);
        $("div#edit-awm-items-from-menu-"+num).hide();
        $("fieldset#edit-menu-structure"+num).show();
        $('span#awm-dots-'+num).html("...");
         $('span#awm-dots-toggle-'+num).html(":");
    }
	
  });
  //
    
  // END FORM ENABLING/DISABLING (existing or new menu)


  // BEGIN FORM TYPE INFO
  $("input[id^=edit-awm-menu-type]").each(function() {
      
	$(this).change(function() {
            
		//which of the menus are we editing?
		awm_tohide_id = $(this).attr('name').substr($(this).attr('name').length -1, $(this).attr('name').length);
                // hide all other infos of the same menu
		$("div[id^=AWM_menu_type_info_"+awm_tohide_id+"]").each(function() {
			$(this).removeClass('AWM_menu_type_info_block').addClass('AWM_menu_type_info_none');
		});

			awm_toshow = $("div[id^=AWM_menu_type_info_"+awm_tohide_id+"_"+$(this).val()+"]")
				

                
                awm_toshow.removeClass('AWM_menu_type_info_none').addClass('AWM_menu_type_info_block');
                /*
		if (awm_toshow.css('display') == 'block') {
			awm_toshow.css('display', 'none')
		} else {
			awm_toshow.css('display', 'block')
		}
                */
	});
  });
  // END FORM TYPE INFO

 }};

})(jQuery);
